#!/bin/sh

# Remove old partitions on emmc.
dd if=/dev/zero of=/dev/mmcblk1 bs=512 count=1

# Create new partition table.
echo "n
p
1

+70M
a
t
c
n
p



w" | fdisk /dev/mmcblk1

# Create file systems.
mkfs.vfat -F 32 -n "boot" /dev/mmcblk1p1
yes | mkfs.ext4 -L "rootfs" /dev/mmcblk1p2


# Flash boot partition.
mount /dev/mmcblk1p1 /media
cp MLO /media
cp u-boot.img /media
cp uExt.txt /media
sync
umount /dev/mmcblk1p1

# Flash rootfs partition
mount /dev/mmcblk1p2 /media
tar -C /media -xf rootfs.tar.bz2
sync
umount /dev/mmcblk1p2

